Skip to main content
`Ctrl`+`K`

# TSRKGetTableau

Get info on the `TSRK` tableau

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSRKGetTableau(TS ts, PetscInt *s, const PetscReal **A, const PetscReal **b, const PetscReal **c, const PetscReal **bembed, PetscInt *p, const PetscReal **binterp, PetscBool *FSAL)

Not Collective

## Input Parameter

- ts - timestepping context

## Output Parameters

- s - number of stages, this is the dimension of the matrices below

- A - stage coefficients (dimension s*s, row-major)

- b - step completion table (dimension s)

- c - abscissa (dimension s)

- bembed - completion table for embedded method (dimension s; NULL if not available)

- p - Order of the interpolation scheme, equal to the number of columns of binterp

- binterp - Coefficients of the interpolation formula (dimension s*p)

- FSAL - whether or not the scheme has the First Same As Last property

## See Also

TS: Scalable ODE and DAE Solvers, `TSRK`, `TSRKRegister()`, `TSRKSetType()`

## Level

developer

## Location

src/ts/impls/explicit/rk/rk.c

## Implementations

TSRKGetTableau_RK() in src/ts/impls/explicit/rk/rk.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages